MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029571Open CASCADE[OCCT] OCCT:Samplespublic2018-03-13 08:562018-06-29 21:19
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029571: Samples: build qt samples together with OCCT
DescriptionProvide BUILD_MODULE_QtSamples flag in CMake to switch ON/OFF compilation of Qt samples.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0029668closedbugmaster Open CASCADE Configuration: build Inspector application independently on BUILD_MODULE_QtSamples state 

-  Notes
(0074413)
git (administrator)
2018-03-13 09:13

Branch CR29571 has been created by nds.

SHA-1: fff8b63637acd7a282a633c4b578c0d9be72c339


Detailed log of new commits:

Author: nds
Date: Tue Mar 13 09:13:18 2018 +0300

    0029542: Coding - CMake compiler warnings in Inspector
    
    1. Extends occt_toolkit.cmake to compile src, tools, samples directories of OCCT (remove occt_toolkit_tool.cmake)
    2. Using EXECUTABLE_PROJECT variable to avoid using executable name in occt_toolkit.cmake (e.g. DRAWEXE)
    3. rename samples/qt *.h, *.cpp to *.hxx, *.cxx
    4. minor samples code correction to remove tab separator
(0074414)
git (administrator)
2018-03-13 09:34

Branch CR29571 has been updated by nds.

SHA-1: 4671384d18fb5487c53c4c89baf75a3ecd318d80


Detailed log of new commits:

Author: nds
Date: Tue Mar 13 09:34:26 2018 +0300

    # avoid using occt_toolkit_tool.cmake

(0074524)
git (administrator)
2018-03-16 08:21

Branch CR29571 has been updated by nds.

SHA-1: 59598da75ff9b509d252daef993c305c37b1c63a


Detailed log of new commits:

Author: nds
Date: Fri Mar 16 08:21:49 2018 +0300

    # AndroidQt check on tablet device
    
    # warnings correction
    # build compilation check on qt4

(0074525)
git (administrator)
2018-03-16 08:35

Branch CR29571 has been updated by nds.

SHA-1: 0c1ef617f36a38098f75c7a8d525b04484e2edee


Detailed log of new commits:

Author: nds
Date: Fri Mar 16 08:35:18 2018 +0300

    # build compilation check on qt4

(0074526)
git (administrator)
2018-03-16 09:16

Branch CR29571_1 has been created by nds.

SHA-1: 8309e6da878f5edadb31a12cc1aa20d183ff02ff


Detailed log of new commits:

Author: apn
Date: Mon Mar 12 16:19:21 2018 +0300

    0029129: Incomplete support of MSVS2017
    
    MSVC_VERSION is used instead of MSVC10, MSVC11, MSVC12, etc.
    
    0029542: Coding - CMake compiler warnings in Inspector
    
    1. Extends occt_toolkit.cmake to compile src, tools, samples directories of OCCT (remove occt_toolkit_tool.cmake)
    2. Using EXECUTABLE_PROJECT variable to avoid using executable name in occt_toolkit.cmake (e.g. DRAWEXE)
    3. rename samples/qt *.h, *.cpp to *.hxx, *.cxx
    4. minor samples code correction to remove tab separator
(0074527)
git (administrator)
2018-03-16 09:22

Branch CR29571_1 has been updated by nds.

SHA-1: f62b3413763188b7fd00a1e81cad7e9e39d28394


Detailed log of new commits:

Author: nds
Date: Fri Mar 16 09:21:59 2018 +0300

    # remove unused code

(0074577)
git (administrator)
2018-03-18 15:33

Branch CR29571_2 has been created by nds.

SHA-1: 35163c588087cdebcfa997d322d6bccb6ebbb39a


No new revisions were added by this update.
(0074578)
git (administrator)
2018-03-18 15:34

Branch CR29571_2 has been updated by nds.

SHA-1: a6a856e33bc81f203d7885eafe933e92237ad959


Detailed log of new commits:

Author: nds
Date: Sun Mar 18 15:34:17 2018 +0300

    29571: Samples: build qt samples together with OCCT
    
    Extending CMake procedure by 'BUILD_MODULE_QtSamples' variable to switch on qt samples build.
    Implementation required:
    - union of occt_toolkit_tool.cmake and occt_toolkit.cmake files;
    - correction of qt samples sources by adding path to Qt 'plugins' folder. It helps to avoid definition of additional variable (QT_QPA_PLATFORM_PLUGIN_PATH) when staring sample.bat for qt samples;
    - executable processing is extended in cmake procedure by providing 'EXECUTABLE_PROJECT' variable. Now we need not specify custom processing for DRAWEXE in occt_toolkit.cmake

(0074579)
git (administrator)
2018-03-18 15:45

Branch CR29571_3 has been created by nds.

SHA-1: 116be773f59d7b734f2f6bde404ebd4d4a31f9af


Detailed log of new commits:

Author: nds
Date: Sun Mar 18 15:34:17 2018 +0300

    29571: Samples: build qt samples together with OCCT
    
    Extending CMake procedure by 'BUILD_MODULE_QtSamples' variable to switch on qt samples build.
    Implementation required:
    - union of occt_toolkit_tool.cmake and occt_toolkit.cmake files;
    - correction of qt samples sources by adding path to Qt 'plugins' folder. It helps to avoid definition of additional variable (QT_QPA_PLATFORM_PLUGIN_PATH) when staring sample.bat for qt samples;
    - executable processing is extended in cmake procedure by providing 'EXECUTABLE_PROJECT' variable. Now we need not specify custom processing for DRAWEXE in occt_toolkit.cmake
(0074580)
git (administrator)
2018-03-18 16:30

Branch CR29571_3 has been updated by nds.

SHA-1: e045aed93e1a455682e3e06a78c15028970ed348


Detailed log of new commits:

Author: nds
Date: Sun Mar 18 16:30:06 2018 +0300

    # fix for DRAWEXE application creating, without this variable definition library is created

(0074589)
nds (developer)
2018-03-19 09:58

Please, review.

Jenkins: http://jenkins-test-11.nnov.opencascade.com/view/CR29571_3-master-NDS/ [^]

Thank you in advance, Natalia
(0074652)
kgv (developer)
2018-03-19 14:27

   static QString aResourceDir =
     QString::fromUtf8 (qgetenv ("CSF_ResourcesDefaults").constData());
+  if (aResourceDir.isEmpty())
+    aResourceDir = QString::fromUtf8 (qgetenv ("CSF_OCCTResourcePath").constData()) + "/samples";


This code is broken - qgetenv() does NOT support wide characters on Windows, hence it will not work if environment variable points to UNICODE patch.
Please used OSD_Environment instead.
(0074653)
kgv (developer)
2018-03-19 14:43

Please assign but to CMake expert for review.
(0074691)
git (administrator)
2018-03-20 11:12

Branch CR29571_3 has been updated by nds.

SHA-1: 3ff674d1bf4cfa36b07fd107c45d69f09b906747


Detailed log of new commits:

Author: nds
Date: Tue Mar 20 11:12:45 2018 +0300

    # replacing qgetenv by OSD_Environment to handle unicode symbols.

(0074696)
nds (developer)
2018-03-20 12:20

Could you please review modifications.
(0074700)
ibs (developer)
2018-03-20 13:16

I have no remarks
(0074704)
git (administrator)
2018-03-20 13:58

Branch CR29571_3 has been updated by nds.

SHA-1: c10ef4bcb9078931713d9a84ba62cf296f0b0969


Detailed log of new commits:

Author: nds
Date: Tue Mar 20 13:58:00 2018 +0300

    # linux compilation correction

(0074711)
bugmaster (administrator)
2018-03-20 18:49

Combination -
OCCT branch : CR29571_3 SHA - c10ef4bcb9078931713d9a84ba62cf296f0b0969
Products branch : master SHA - 2f8f449f24696d59603ade3d9a086e77e8b9a304
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18118.139999999872 / 18107.97999999989 [+0.06%]
Products
Total CPU difference: 7419.550000000009 / 7427.109999999995 [-0.10%]
Windows-64-VC10:
OCCT
Total CPU difference: 17940.286601098618 / 17842.61437499857 [+0.55%]
Products
Total CPU difference: 8131.988927799967 / 8148.135031299978 [-0.20%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0074869)
git (administrator)
2018-03-24 20:01

Branch CR29571 has been deleted by kgv.

SHA-1: 0c1ef617f36a38098f75c7a8d525b04484e2edee
(0074870)
git (administrator)
2018-03-24 20:01

Branch CR29571_1 has been deleted by kgv.

SHA-1: f62b3413763188b7fd00a1e81cad7e9e39d28394
(0074871)
git (administrator)
2018-03-24 20:01

Branch CR29571_2 has been deleted by kgv.

SHA-1: a6a856e33bc81f203d7885eafe933e92237ad959
(0074872)
git (administrator)
2018-03-24 20:01

Branch CR29571_3 has been deleted by kgv.

SHA-1: c10ef4bcb9078931713d9a84ba62cf296f0b0969

- Related Changesets
occt: master 1fa16152
Timestamp: 2018-03-18 12:34:17
Author: nds
Committer: bugmaster
Details ] Diff ]
0029571: Samples: build qt samples together with OCCT

Extending CMake procedure by 'BUILD_MODULE_QtSamples' variable to switch on qt samples build.
Implementation required:
- union of occt_toolkit_tool.cmake and occt_toolkit.cmake files;
- correction of qt samples sources by adding path to Qt 'plugins' folder. It helps to avoid definition of additional variable (QT_QPA_PLATFORM_PLUGIN_PATH) when staring sample.bat for qt samples;
- executable processing is extended in cmake procedure by providing 'EXECUTABLE_PROJECT' variable. Now we need not specify custom processing for DRAWEXE in occt_toolkit.cmake
mod - adm/cmake/occt_macros.cmake Diff ] File ]
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]
add - adm/cmake/occt_toolkit_prepare_sample.cmake Diff ] File ]
add - adm/cmake/occt_toolkit_prepare_tool.cmake Diff ] File ]
rm - adm/cmake/occt_toolkit_tool.cmake Diff ] File ]
mod - adm/cmake/qt_macro.cmake Diff ] File ]
mod - adm/cmake/vardescr.cmake Diff ] File ]
add - adm/SAMPLES Diff ] File ]
add - adm/SAMPLES_RESOURCES Diff ] File ]
mod - adm/templates/sample.bat Diff ] File ]
mod - CMakeLists.txt Diff ] File ]
mod - samples/qt/AndroidQt/AndroidQt.pro Diff ] File ]
rm - samples/qt/AndroidQt/AndroidQt.qrc Diff ] File ]
add - samples/qt/AndroidQt/CMakeLists.txt Diff ] File ]
add - samples/qt/AndroidQt/EXTERNLIB Diff ] File ]
add - samples/qt/AndroidQt/FILES Diff ] File ]
add - samples/qt/AndroidQt/PACKAGES Diff ] File ]
mod - samples/qt/AndroidQt/ReadMe.md Diff ] File ]
mod - samples/qt/AndroidQt/res/qml/main.qml Diff ] File ]
add - samples/qt/AndroidQt/src/AndroidQt.qrc Diff ] File ]
add - samples/qt/AndroidQt/src/FILES Diff ] File ]
mod - samples/qt/Common/src/ApplicationCommon.cxx Diff ] File ]
mod - samples/qt/Common/src/DocumentCommon.cxx Diff ] File ]
add - samples/qt/Common/src/FILES Diff ] File ]
mod - samples/qt/Common/src/MDIWindow.cxx Diff ] File ]
add - samples/qt/FuncDemo/CMakeLists.txt Diff ] File ]
mod - samples/qt/FuncDemo/env.bat Diff ] File ]
add - samples/qt/FuncDemo/EXTERNLIB Diff ] File ]
add - samples/qt/FuncDemo/FILES Diff ] File ]
mod - samples/qt/FuncDemo/FuncDemo.pro Diff ] File ]
add - samples/qt/FuncDemo/PACKAGES Diff ] File ]
add - samples/qt/FuncDemo/src/FILES Diff ] File ]
add - samples/qt/FuncDemo/src/FuncDemo.qrc Diff ] File ]
mod - samples/qt/FuncDemo/src/main.cpp Diff ] File ]
add - samples/qt/IESample/CMakeLists.txt Diff ] File ]
mod - samples/qt/IESample/env.bat Diff ] File ]
add - samples/qt/IESample/EXTERNLIB Diff ] File ]
add - samples/qt/IESample/FILES Diff ] File ]
add - samples/qt/IESample/PACKAGES Diff ] File ]
add - samples/qt/IESample/src/FILES Diff ] File ]
mod - samples/qt/IESample/src/Main.cxx Diff ] File ]
mod - samples/qt/Interface/src/Application.cxx Diff ] File ]
add - samples/qt/Interface/src/FILES Diff ] File ]
add - samples/qt/Tutorial/CMakeLists.txt Diff ] File ]
mod - samples/qt/Tutorial/env.bat Diff ] File ]
add - samples/qt/Tutorial/EXTERNLIB Diff ] File ]
add - samples/qt/Tutorial/FILES Diff ] File ]
add - samples/qt/Tutorial/PACKAGES Diff ] File ]
mod - samples/qt/Tutorial/src/ApplicationTut.cxx Diff ] File ]
add - samples/qt/Tutorial/src/FILES Diff ] File ]
mod - samples/qt/Tutorial/src/Main.cxx Diff ] File ]
mod - samples/tools/TInspectorEXE/CMakeLists.txt Diff ] File ]
mod - samples/tools/TInspectorEXE/FILES Diff ] File ]
add - samples/tools/TInspectorEXE/PACKAGES Diff ] File ]
add - samples/tools/TInspectorEXE/src/FILES Diff ] File ]
add - samples/tools/TInspectorEXE/src/TInspectorEXE.qrc Diff ] File ]
rm - samples/tools/TInspectorEXE/TInspectorEXE.qrc Diff ] File ]
mod - samples/tools/TStandalone/adm/cmake/occt_toolkit_standalone.cmake Diff ] File ]
mod - src/DRAWEXE/CMakeLists.txt Diff ] File ]
mod - tools/DFBrowserPane/DFBrowserPane.hxx Diff ] File ]
mod - tools/TInspector/TInspector_Communicator.cxx Diff ] File ]
mod - tools/TKDFBrowser/CMakeLists.txt Diff ] File ]
mod - tools/TKShapeView/CMakeLists.txt Diff ] File ]
mod - tools/TKTInspector/CMakeLists.txt Diff ] File ]
mod - tools/TKTInspectorAPI/CMakeLists.txt Diff ] File ]
mod - tools/TKToolsDraw/CMakeLists.txt Diff ] File ]
mod - tools/TKTreeModel/CMakeLists.txt Diff ] File ]
mod - tools/TKView/CMakeLists.txt Diff ] File ]
mod - tools/TKVInspector/CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-13 08:56 nds New Issue
2018-03-13 08:56 nds Assigned To => bugmaster
2018-03-13 08:56 nds Assigned To bugmaster => nds
2018-03-13 08:56 nds Status new => assigned
2018-03-13 08:57 nds Product Version 7.3.0 => 7.2.0
2018-03-13 08:57 nds Target Version 7.4.0* => 7.3.0
2018-03-13 09:13 git Note Added: 0074413
2018-03-13 09:34 git Note Added: 0074414
2018-03-16 08:21 git Note Added: 0074524
2018-03-16 08:35 git Note Added: 0074525
2018-03-16 09:16 git Note Added: 0074526
2018-03-16 09:22 git Note Added: 0074527
2018-03-18 15:33 git Note Added: 0074577
2018-03-18 15:34 git Note Added: 0074578
2018-03-18 15:45 git Note Added: 0074579
2018-03-18 16:30 git Note Added: 0074580
2018-03-19 09:58 nds Note Added: 0074589
2018-03-19 09:58 nds Assigned To nds => kgv
2018-03-19 09:58 nds Status assigned => resolved
2018-03-19 14:27 kgv Note Added: 0074652
2018-03-19 14:43 kgv Note Added: 0074653
2018-03-19 14:43 kgv Assigned To kgv => nds
2018-03-19 14:43 kgv Status resolved => feedback
2018-03-20 06:04 abv Relationship added related to 0028934
2018-03-20 11:12 git Note Added: 0074691
2018-03-20 12:20 nds Note Added: 0074696
2018-03-20 12:20 nds Assigned To nds => ibs
2018-03-20 12:20 nds Status feedback => resolved
2018-03-20 13:16 ibs Note Added: 0074700
2018-03-20 13:16 ibs Assigned To ibs => bugmaster
2018-03-20 13:16 ibs Status resolved => reviewed
2018-03-20 13:58 git Note Added: 0074704
2018-03-20 18:49 bugmaster Test case number => Not required
2018-03-20 18:49 bugmaster Note Added: 0074711
2018-03-20 18:49 bugmaster Status reviewed => tested
2018-03-24 11:51 bugmaster Changeset attached => occt master 1fa16152
2018-03-24 11:51 bugmaster Status tested => verified
2018-03-24 11:51 bugmaster Resolution open => fixed
2018-03-24 20:01 git Note Added: 0074869
2018-03-24 20:01 git Note Added: 0074870
2018-03-24 20:01 git Note Added: 0074871
2018-03-24 20:01 git Note Added: 0074872
2018-04-02 14:12 nds Relationship added related to 0029668
2018-06-29 21:14 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker